package code;

import java.io.IOException;
import java.net.URI;
import java.util.ArrayList;
import java.util.List;

import com.sun.net.httpserver.HttpExchange;
import com.sun.net.httpserver.HttpHandler;

public class Luci implements HttpHandler {

	@Override
	public void handle(HttpExchange exchange) throws IOException {
		URI requestURI = exchange.getRequestURI();
		System.out.println(requestURI.toASCIIString());
		String path[] = requestURI.getPath().split("/");
		String lastfile = path[path.length - 1];

		String requestMethod = exchange.getRequestMethod();
		List<String> strlist = new ArrayList<>(); //serve List<String> a causa di .put("content-type", strlist);
		strlist.add("text/json");
		exchange.getResponseHeaders().put("content-type", strlist);//opzionale, per dire cosa c'e' nel body
		
		if(Helper.compareText(lastfile,"luci")) {
			if(Helper.compareText(requestMethod,"GET")) {
				String response = "{\"dati\":\"ecco le luci\"}";
				Helper.sendResponse(response,exchange);
			} else if(Helper.compareText(requestMethod,"POST")) {
				String response = "{\"dati\":\"luce aggiunta\"}";
				Helper.sendResponse(response,exchange);
			} else {
				Helper.methodNotAllowed(exchange);
			}
			return;
		}
		
		if(Helper.compareText(lastfile,"stato")) {
			if(Helper.compareText(requestMethod,"PUT")) {
				String response = "{\"dati\":\"stato luce aggiornato\"}";
				Helper.sendResponse(response,exchange);
			} else {
				Helper.methodNotAllowed(exchange);
			}
			return;
		}
		
		Helper.pageNotFound(exchange);
	}
	
	

}
